Package net.shibboleth.saml.profile.config

# Interface SAMLArtifactAwareProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAMLProfileConfiguration`

public interface SAMLArtifactAwareProfileConfiguration extends SAMLProfileConfiguration
Common interface for SAML profile configurations involving artifact production.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`SAMLArtifactConfiguration`
`getArtifactConfiguration(ProfileRequestContext profileRequestContext)`
Get the associated `SAMLArtifactConfiguration` for the profile, if any.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### getArtifactConfiguration

@ConfigurationSetting(name="artfactConfiguration") @Nullable SAMLArtifactConfiguration getArtifactConfiguration(@Nullable ProfileRequestContext profileRequestContext)
Get the associated `SAMLArtifactConfiguration` for the profile, if any.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  an associated artifact configuration, or null